#if !defined(AFX_PAGESET_H__6257D518_E380_11D2_AD18_00A04B070143__INCLUDED_)
#define AFX_PAGESET_H__6257D518_E380_11D2_AD18_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PageSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPageSet DAO recordset

class CPageSet : public CDaoRecordset
{
public:
	CPageSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CPageSet)

// Field/Param Data
	//{{AFX_FIELD(CPageSet, CDaoRecordset)
	long	m_nBookID;
	long	m_nPageNumber;
	CString	m_strText;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPageSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGESET_H__6257D518_E380_11D2_AD18_00A04B070143__INCLUDED_)
